> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Invoice Prices

```jsonc Body raw (json) wrap expandable theme={null}
{
    "line_items": [ // required | array of invoice line items
        {
            "id": 1, // required | integer | existing line item id
            "line_components": [ // required | array of items in line components
                {
                    "id": 1, // required | integer
                    "unit_cost": "10", // optional | numeric
                    "unit_price": "10" // optional | numeric
                }
            ]
        },
        {
            "id": 2, // required | integer | existing line item id
            "line_components": [ // required | array of items in line components
                {
                    "id": 2, // required | integer
                    "unit_cost": "20", // optional | numeric
                    "unit_price": "20" // optional | numeric
                }
            ]
        }
    ]
}
```


## OpenAPI

````yaml put /invoices/{invoiceId}/price-update
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /invoices/{invoiceId}/price-update:
    put:
      tags:
        - Invoices
      summary: Update Invoice Prices
      operationId: putInvoicesByInvoiceIdPriceUpdate
      parameters:
        - name: invoiceId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                line_items:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: Existing line item id.
                      line_components:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            unit_cost:
                              type: number
                            unit_price:
                              type: number
                          required:
                            - id
                        description: Array of items in line components.
                    required:
                      - id
                      - line_components
                  description: Array of invoice line items.
              required:
                - line_items
            example:
              line_items:
                - id: 1
                  line_components:
                    - id: 1
                      unit_cost: '10'
                      unit_price: '10'
                - id: 2
                  line_components:
                    - id: 2
                      unit_cost: '20'
                      unit_price: '20'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
                    description: The updated record.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL or object not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Webhooks](/api-reference/webhooks.md)
- [Setting Up Your Pricebook](/add-ons/sales-suite/pricebook.md)
- [QuickBooks Online Overview](/integrations/accounting/quickbooks-online/overview.md)
- [How to Create an Invoice](/estimates-invoices/creating/invoice.md)
- [Setting Up Estimate & Invoice Templates](/estimates-invoices/templates/creating-templates.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.